<div class="main-flex-container">
  <app-sidebar></app-sidebar>
  <div class="center-flex-container flex-item {{cursorLoading}}">
    <div class="home">
      <h1>Home</h1>
      <i class="fas fa-magic"></i>
    </div>
    <div class="post-tweet">
      <form [formGroup]="tweetPostForm">
        <div class="form-group-1">
          <img src="http://www.gravatar.com/avatar/{{getHashedEmail(loggedInUser.email)}}/?d=identicon" class="profile-img">
          <input type="text" placeholder="What's happening?" formControlName="tweet">
        </div>
        <div class="form-group-2">
          <div class="post-icons">
            <i class="far fa-image"></i>
            <i class="far fa-file-image"></i>
            <i class="fas fa-stream"></i>
            <i class="far fa-smile"></i>
            <i class="far fa-calendar-check"></i>
          </div>
          <button class="tweet-btn" type="submit" (click)="postTweet()">Tweet</button>
        </div>
      </form>

    </div>
    <div *ngFor="let tweet of tweets">
      <app-tweet [tweet]="tweet" [loggedInUser]="loggedInUser"></app-tweet>
    </div>
    <div class="follow-footer {{cursorLoading}}" *ngIf="paginateIsVisible">
      <a (click)="fetchAllFollowingsTweet()">Show more</a>
    </div>
  </div>
</div>
